yi-keymap-emacs-0.19.0: Emacs keymap for Yi editor

License | GPL-2
Maintainer | yi-devel@googlegroups.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Extensions

- TemplateHaskell
- TemplateHaskellQuotes
- OverloadedStrings
- FlexibleContexts
- TypeOperators
- ExplicitNamespaces
- LambdaCase

Yi.Keymap.Emacs

Description

This module aims at a mode that should be (mostly) intuitive to emacs users, but mapping things into the Yi world when convenient. Hence, do not go into the trouble of trying 100% emulation. For example, `M-x` gives access to Yi (Haskell) functions, with their native names.

# Documentation

keymap :: KeymapSet Source #

mkKeymapSet :: Proto ModeMap -> KeymapSet Source #

defKeymap :: Proto ModeMap Source #

data ModeMap Source #

Constructors

ModeMap |

Fields

- _eKeymap :: Keymap
- _completionCaseSensitive :: Bool

eKeymap :: Lens' ModeMap Keymap Source #

completionCaseSensitive :: Lens' ModeMap Bool Source #